Subject: Re: [PATCH] net: remove LLTX in atl2 driver

From: Kevin Hao <[email-masked]>
Date: Fri, 26 Sep 2008 09:20:42 +0800

On Thu, 2008-09-25 at 18:58 -0500, Jay Cliburn wrote:
> On Thu, 25 Sep 2008 18:34:29 -0400
> Chris Snook <[email-masked]> wrote:
> 
> > 
> > I'm all in favor of removing legacy cruft.  I want to know a little
> > more about it so we can remove it from the atl1 code as well.
> > Ultimately most of this will be shared code.
> 
> Yes, LLTX can (and should) be removed from the atl1 code.  I had an
> exchange with Herbert Xu and David Miller on LKML a few weeks ago, and
> they gave me a few tips on how to do it, but I haven't yet had the
> time.  What takes an experienced netdev warrior about a half hour to
> implement unfortunately takes me days of after-dayjob time as I track
> through all the calls that that are affected and test the modified
> driver.
> 
> Now back to atl2...  I'd like to hear from Kevin also whether he tested
> the LLTX removal.  I'm building the driver with his patch as we speak,
> and I'll test it myself this weekend, but Kevin I'd still like to know
> if you tested the patch.

Yes, I have tested this driver on a Eee PC. It works well.

Thanks,
Kevin

> Thanks,
> Jay